<style type="text/css">
  .labelText {
    margin: 10px 0;
    display: block;
  }

  .title4 {
    margin: 15px 0;
    position: absolute;
    top: -50px;
    padding: 0 15px;
    background-color: #fff
  }

  .box {
    border: 1px solid rgba(76, 76, 76, 0.21);
    margin: 45px 15px 15px;
    padding: 20px 0px;
    position: relative;
    border-radius: 5px;
    width: 100%
  }

  .MLR {
    margin: 0 1px
  }
</style>
<div class="container">
  <form #loginForm="ngForm">
    <div class="row">
      <div class="col-sm-6 col-md-4 .col-xs-12">

        <lable class="labelText">Company Name<span style="color:red">*</span></lable>
        <input type="text" class="form-control" placeholder="Enter Company Name" id="companyName" name=companyName
               [(ngModel)]="companyAssetDetails.companyName" required #companyName="ngModel" >
        <div style="color: red" *ngIf="companyName.touched && companyName.errors?.required"
             [hidden]="companyName.valid || companyName.pristine"
             class="alert alert-danger">Company Name is required.
        </div>

      </div>
      <div class="col-sm-6 col-md-4 .col-xs-12">
        <lable class="labelText">Short Name<span style="color:red">*</span></lable>
        <input type="text" class="form-control" placeholder="Enter Short Name" name=shortName id="shortName"
             [(ngModel)]="companyAssetDetails.shortName" required #shortName="ngModel">
        <div style="color: red" *ngIf="shortName.touched && shortName.errors?.required" [hidden]="shortName.valid || shortName.pristine"
             class="alert alert-danger" >Short Name is required.
        </div>
      </div>
    </div>
    <div class="row">
      <div class="box clearfix">
        <div class="col-sm-12">
          <h3 class="title4">Company Address</h3>
        </div>
        <div class="col-sm-8">
          <lable class="labelText">Address<span style="color:red">*</span></lable>
          <textarea type="text" class="form-control" placeholder="Enter Address" name=address id="address" required #address="ngModel"
                    [(ngModel)]="companyAssetDetails.address"></textarea>
          <div style="color: red" *ngIf="address.touched && address.errors?.required" [hidden]="address.valid || address.pristine"
               class="alert alert-danger" >Address is required.
          </div>
        </div>
        <div class="col-sm-4 col-sm-offset-12 "></div>
        <div class="row MLR">
          <div class="col-sm-4">
            <lable for="area" class="labelText">Area</lable>
            <input type="text" class="form-control" placeholder="Enter Area" name=area id="area"  #area="ngModel"
                   [(ngModel)]="companyAssetDetails.area" >
           <!-- <div style="color: red" *ngIf="area.touched && area.errors?.required" [hidden]="area.valid || area.pristine"
                 class="alert alert-danger" >Area is required.
            </div>-->
          </div>

          <div class="col-sm-4">
            <lable class="labelText">City</lable>
            <input type="text" class="form-control" placeholder="Enter City" name=city id="city"  #city="ngModel"
                   [(ngModel)]="companyAssetDetails.city" >
            <!--<div style="color: red" *ngIf="city.touched && city.errors?.required" [hidden]="city.valid || city.pristine"-->
                 <!--class="alert alert-danger" >City is required.-->
            <!--</div>-->
          </div>

          <div class="col-sm-4">
            <lable class="labelText">State</lable>
            <input type="text" class="form-control" placeholder="Enter State" name=state id="state"  #state="ngModel"
                   [(ngModel)]="companyAssetDetails.state" >
            <!--<div style="color: red" *ngIf="state.touched && state.errors?.required" [hidden]="state.valid || state.pristine"-->
                 <!--class="alert alert-danger" >State is required.-->
            <!--</div>-->
          </div>
        </div>

        <div class="row MLR">
          <div class="col-sm-4">
            <lable class="labelText">Pincode</lable>
            <input type="number" class="form-control"  placeholder="Enter Pincode" id="pincode" name=pincode
                   #pincode="ngModel" [(ngModel)]="companyAssetDetails.pinCode" >
          <!--  <div style="color: red" *ngIf="pincode.touched && pincode.errors?.required" [hidden]="pincode.valid || pincode.pristine"
                 class="alert alert-danger" >State is required.
            </div>
          </div>

          <div class="col-sm-4">
            <lable class="labelText">Phone Number<span style="color:red">*</span></lable>
            <input type="number" class="form-control" placeholder="Enter Phone Number" id="phoneNumber" name=phoneNumber #phoneNumber="ngModel" required
                   [(ngModel)]="companyAssetDetails.phone" >
            <!--<div style="color: red" *ngIf="phoneNumber.touched && phoneNumber.errors?.required" [hidden]="phoneNumber.valid || phoneNumber.pristine"-->
                 <!--class="alert alert-danger" >Phone is required.-->
            <!--</div>-->
          </div>

          <div class="col-sm-4">
            <lable class="labelText">Email Id</lable>
            <input type="text" class="form-control" placeholder="Enter Email Id" name=emailId id="emailId" #emailId="ngModel"
                   [(ngModel)]="companyAssetDetails.emailId" >
            <!--<div style="color: red" *ngIf="emailId.touched && emailId.errors?.required" [hidden]="emailId.valid || emailId.pristine"-->
                 <!--class="alert alert-danger" >Email Id is required.-->
            <!--</div>-->
          </div>
        </div>

      </div>
    </div>

    <div class="row">
      <div class="box clearfix">
        <div class="col-sm-12">
          <h3 class="title4">Company Details</h3>
        </div>
        <div class="row MLR">
          <div class="col-sm-4">

            <lable class="labelText">PAN<span style="color:red">*</span></lable>
            <input type="text" class="form-control" placeholder="Enter PAN" name=PAN id="PAN" required #PAN="ngModel"
                   [(ngModel)]="companyAssetDetails.Pan" >
            <div style="color: red" *ngIf="PAN.touched && PAN.errors?.required" [hidden]="PAN.valid || PAN.pristine"
                 class="alert alert-danger" >PAN is required.
            </div>
          </div>

          <div class="col-sm-4">
            <lable class="labelText">GST<span style="color:red">*</span></lable>
            <input type="text" class="form-control" placeholder="Enter GST" name=gst id="gst" #gst="ngModel" required
                   [(ngModel)]="companyAssetDetails.gst" >
            <div style="color: red" *ngIf="gst.touched && gst.errors?.required" [hidden]="gst.valid || gst.pristine"
                 class="alert alert-danger" >GST is required.
            </div>
          </div>

          <div class="col-sm-4">
            <lable class="labelText">Company Code<span style="color:red">*</span></lable>
            <input type="text" class="form-control" placeholder="Enter Company Code" name=companyCode id="companyCode"
                   #companyCode="ngModel" required
                   [(ngModel)]="companyAssetDetails.companyCode" >
            <div style="color: red" *ngIf="companyCode.touched && companyCode.errors?.required" [hidden]="companyCode.valid || companyCode.pristine"
                 class="alert alert-danger" >company Code is required.
            </div>
          </div>

        </div>
      </div>
    </div>


    <div class="row">
      <div class="box clearfix">
        <div class="col-sm-12">
          <h3 class="title4">Contact Person</h3>
        </div>
        <div class="row MLR">
          <div class="col-sm-4">

            <lable class="labelText">Name<span style="color:red">*</span></lable>
            <input type="text" class="form-control" placeholder="Enter Name" name=name required #name="ngModel" id="name"
                   [(ngModel)]="companyAssetDetails.name" >
            <div style="color: red" *ngIf="name.touched && name.errors?.required" [hidden]="name.valid || name.pristine"
                 class="alert alert-danger" >name is required.

            </div>
          </div>

          <div class="col-sm-4">
            <lable class="labelText">Phone<span style="color:red">*</span></lable>
            <input type="string" class="form-control" placeholder="Enter Phone" name=phone id="phone" required #phone="ngModel"
                   [(ngModel)]="companyAssetDetails.PersonPhone" >
            <div style="color: red" *ngIf="phone.touched && phone.errors?.required" [hidden]="phone.valid || phone.pristine"
                 class="alert alert-danger" >Phone Number is required.
            </div>
          </div>

          <div class="col-sm-4">
            <lable class="labelText">Email Id<span style="color:red">*</span></lable>
            <input type="text" class="form-control" placeholder="Enter Email Id" name=emailId id="emailId" #emailId="ngModel"
                   [(ngModel)]="companyAssetDetails.PersonEmailId" >
            <div style="color: red" *ngIf="emailId.touched && emailId.errors?.required" [hidden]="emailId.valid || emailId.pristine"
                 class="alert alert-danger" >EmailId Number is required.
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-sm-12 text-center" style="margin-top:20px">

        <span *ngIf="!isEditMode">
         <!-- [disabled]="loginForm.form.invalid"-->
            <button class="btn btn-default" type="submit"
                     data-dismiss="modal" (click)="submitConfigDetails()" [disabled]="!loginForm.form.valid">Save</button>
        </span>
        <span *ngIf="isEditMode">
            <button class="btn btn-default" data-dismiss="modal" (click)="updateConfigDetails()" [disabled]="!loginForm.form.valid">Update</button>
        </span>
        <span *ngIf="isEditMode">
            <button class="btn btn-danger" data-dismiss="modal" (click)="deleteAssetById()">Delete</button>
        </span>
        <button class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>
    </div>

  </form>

</div>